"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateUserProfile_1 = require("../model/operations/CreateUserProfile");
var CreateUserProfileCommand = /** @class */ (function () {
    function CreateUserProfileCommand(input) {
        this.input = input;
        this.model = CreateUserProfile_1.CreateUserProfile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateUserProfileCommand;
}());
exports.CreateUserProfileCommand = CreateUserProfileCommand;
//# sourceMappingURL=CreateUserProfileCommand.js.map