"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeProject_1 = require("../model/operations/DescribeProject");
var DescribeProjectCommand = /** @class */ (function () {
    function DescribeProjectCommand(input) {
        this.input = input;
        this.model = DescribeProject_1.DescribeProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeProjectCommand;
}());
exports.DescribeProjectCommand = DescribeProjectCommand;
//# sourceMappingURL=DescribeProjectCommand.js.map