"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListUserProfiles_1 = require("../model/operations/ListUserProfiles");
var ListUserProfilesCommand = /** @class */ (function () {
    function ListUserProfilesCommand(input) {
        this.input = input;
        this.model = ListUserProfiles_1.ListUserProfiles;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListUserProfilesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListUserProfilesCommand;
}());
exports.ListUserProfilesCommand = ListUserProfilesCommand;
//# sourceMappingURL=ListUserProfilesCommand.js.map