"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TagProject_1 = require("../model/operations/TagProject");
var TagProjectCommand = /** @class */ (function () {
    function TagProjectCommand(input) {
        this.input = input;
        this.model = TagProject_1.TagProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TagProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TagProjectCommand;
}());
exports.TagProjectCommand = TagProjectCommand;
//# sourceMappingURL=TagProjectCommand.js.map