"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagProjectInput_1 = require("../shapes/UntagProjectInput");
var UntagProjectOutput_1 = require("../shapes/UntagProjectOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagProjectInput_1.UntagProjectInput
    },
    output: {
        shape: UntagProjectOutput_1.UntagProjectOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=UntagProject.js.map